# Configuration

After the installation, simply activate the setting **"Provide property in product listing"** in the properties that
are to be output in the frontend. 

::: warning Hint
To display these in the frontend, a separate theme plugin is required.
:::

**Example**

You want to display the property "Width" in the listing. To do this, set **"Provide property in product listing"** 
under "Catalogues" > "Properties" > "Width" active.

![Provide property in product listing](./admin-properties-in-listing.png)

Now find the appropriate place in your theme where you want to display the width of the product. We extend the 
**"box-standard.html.twig "** template (storefront/component/product/card/box-standard.html.twig) and output a 
dump to "**product.properties.elements**":

```twig
{{ dump(product.properties.elements) }}
```

![Properties on listing](../../share/dump-properties-in-listing.png)

Now all that remains is to build the desired structure.
