<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Core\Content\PropertyGroup\Aggregate\Attribute;

use Shopware\Core\Content\Property\PropertyGroupEntity;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class AttributeEntity extends Entity
{
    use EntityIdTrait;

    protected string               $propertyGroupId  = '';

    protected ?PropertyGroupEntity $propertyGroup    = null;

    protected bool                 $displayInListing = false;

    public function getPropertyGroupId(): string
    {
        return $this->propertyGroupId;
    }

    public function setPropertyGroupId(string $propertyGroupId): void
    {
        $this->propertyGroupId = $propertyGroupId;
    }

    public function getPropertyGroup(): ?PropertyGroupEntity
    {
        return $this->propertyGroup;
    }

    public function setPropertyGroup(?PropertyGroupEntity $propertyGroup): void
    {
        $this->propertyGroup = $propertyGroup;
    }

    public function isDisplayInListing(): bool
    {
        return $this->displayInListing;
    }

    public function setDisplayInListing(bool $displayInListing): void
    {
        $this->displayInListing = $displayInListing;
    }
}
