<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Core\Content\PropertyGroupOption\Aggregate\OptionAttribute\Translation;

use NetInventors\NetiNextToolKit\Core\Content\PropertyGroupOption\Aggregate\OptionAttribute\OptionAttributeDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\EntityTranslationDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\AllowHtml;
use Shopware\Core\Framework\DataAbstractionLayer\Field\LongTextField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\StringField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;

/**
 * @psalm-suppress PropertyNotSetInConstructor
 */
class OptionAttributeTranslationDefinition extends EntityTranslationDefinition
{
    final public const ENTITY_NAME = 'neti_tk_option_attr_translation';

    public function getEntityName(): string
    {
        return self::ENTITY_NAME;
    }

    public function getEntityClass(): string
    {
        return OptionAttributeTranslationEntity::class;
    }

    public function getCollectionClass(): string
    {
        return OptionAttributeTranslationCollection::class;
    }

    protected function getParentDefinitionClass(): string
    {
        return OptionAttributeDefinition::class;
    }

    protected function defineFields(): FieldCollection
    {
        return new FieldCollection(
            [
                new StringField('text_field_1', 'textField1'),
                new StringField('text_field_2', 'textField2'),
                new StringField('text_field_3', 'textField3'),
                (new LongTextField('html_text_1', 'htmlText1'))->addFlags(new AllowHtml()),
                (new LongTextField('text_area_1', 'textArea1')),
            ]
        );
    }
}
