<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Core\Content\PropertyGroupOption;

use NetInventors\NetiNextToolKit\Core\Content\PropertyGroupOption\Aggregate\OptionAttribute\OptionAttributeDefinition;
use Shopware\Core\Content\Property\Aggregate\PropertyGroupOption\PropertyGroupOptionDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\EntityExtension;
use Shopware\Core\Framework\DataAbstractionLayer\Field\OneToOneAssociationField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;

class PropertyGroupOptionExtension extends EntityExtension
{
    public function getDefinitionClass(): string
    {
        return PropertyGroupOptionDefinition::class;
    }

    public function extendFields(FieldCollection $collection): void
    {
        $collection->add(
            new OneToOneAssociationField(
                'netiToolKitOptionAttribute',
                'id',
                'property_group_option_id',
                OptionAttributeDefinition::class,
                false
            )
        );
    }
}
