<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Subscriber;

use Shopware\Storefront\Page\Product\ProductPageCriteriaEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class ProductCriteriaSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents(): array
    {
        return [
            ProductPageCriteriaEvent::class => 'onProductCriteria',
        ];
    }

    public function onProductCriteria(ProductPageCriteriaEvent $event): void
    {
        $criteria = $event->getCriteria();

        $criteria->addAssociation('properties.netiToolKitOptionAttribute');
    }
}
