<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Tests;

use PHPUnit\Framework\TestCase;
use Symfony\Component\Finder\Finder;
use function str_replace;

class UsedClassesAvailableTest extends TestCase
{
    public function testClassesAreInstantiable(): void
    {
        $namespace = str_replace('\Test', '', __NAMESPACE__);

        foreach ($this->getPluginClasses() as $class) {
            $classRelativePath = str_replace(
                [ '.php', '/' ],
                [ '', '\\' ],
                (string) $class->getRelativePathname()
            );

            $this->getMockBuilder($namespace . '\\' . $classRelativePath)
                ->disableOriginalConstructor()
                ->getMock();
        }

        // Nothing broke so far, classes seem to be instantiable
        $this->assertTrue(true);
    }

    private function getPluginClasses(): Finder
    {
        $finder = new Finder();

        $finder->in(realpath(__DIR__ . '/../src/'));

        return $finder->files()->name('*.php');
    }
}
